plmtest {plm} | R Documentation

## Lagrange Multiplier Tests for Panel Models

### Description

Test of individual and/or time effects for panel models.

### Usage

    plmtest(x, ...)
    ## S3 method for class 'plm'
    plmtest(x, effect = c("individual", "time", "twoways"),
               type = c("honda", "bp", "ghm", "kw"), ...)
    ## S3 method for class 'formula'
    plmtest(x, data, ..., effect = c("individual", "time", "twoways"),
                          type = c("honda", "bp", "ghm", "kw"))

### Arguments

`x` | an object of class `"plm"`,
`data` | a `data.frame`,
`effect` | a character string indicating which effects are tested: individual effects (`"individual"`), time effects (`"time"`) or both (`"twoways"`),
`type` | a character string indicating the test to be computed: `"bp"` for Breush-Pagan (1980), `"ghm"` for Gourieroux, Holly and Monfort (1982), `"honda"` for Honda (1985) or `"kw"` for King and Wu (1997),
`...` | further arguments passed to `plm`.

### Details

These Lagrange multiplier tests use only the residuals of the pooling model. The main argument of this function may be either a pooling model of class `plm` or an object of class `formula`.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### References

Breusch, T.S. and Pagan, A.R. (1980) The Lagrange multiplier test and its applications to model specification in econometrics, Review of Economic Studies, 47, pp. 239–253.

Gourieroux, C., Holly, A. and Monfort, A. (1982) Likelihood ratio test, Wald test, and Kuhn–Tucker test in linear models with inequality constraints on the regression parameters, Econometrica, 50, pp. 63–80.

Honda, Y. (1985) Testing the error components model with non–normal disturbances, Review of Economic Studies, 52, pp. 681–690.

King, M.L. and Wu, P.X. (1997) Locally optimal one–sided tests for multiparameter hypotheses, Econometric Reviews, 33, pp. 523–529.

### See Also

`pFtest` for individual and/or time effects tests based on the within model.

### Examples

    data("Grunfeld", package = "plm")
    g <- plm(inv ~ value + capital, data = Grunfeld, model = "pooling")
    plmtest(g)
    plmtest(g, effect = "time")
    plmtest(inv ~ value + capital, data = Grunfeld, type = "honda")
    plmtest(inv ~ value + capital, data = Grunfeld, type = "ghm", effect="twoways")
    plmtest(inv ~ value + capital, data = Grunfeld, type = "kw",  effect="twoways")

[Package plm version 1.5-12 Index]